org.apache.sysds.runtime.instructions.spark.data

## Class DatasetObject

- java.lang.Object
- - org.apache.sysds.runtime.instructions.spark.data.LineageObject
  - - org.apache.sysds.runtime.instructions.spark.data.DatasetObject

    public class DatasetObject
    extends LineageObject

### Constructor Summary

Constructors
Constructor and Description
`DatasetObject(org.apache.spark.sql.Dataset<org.apache.spark.sql.Row> dsvar)`
`DatasetObject(org.apache.spark.sql.Dataset<org.apache.spark.sql.Row> dsvar, boolean isVector, boolean containsID)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `containsID()`
`org.apache.spark.sql.Dataset<org.apache.spark.sql.Row>` `getDataset()`
`boolean` `isVectorBased()`

### Methods inherited from class org.apache.sysds.runtime.instructions.spark.data.LineageObject

`addLineageChild, decrementNumReferences, getLineageChilds, getNumReferences, hasBackReference, incrementNumReferences, setBackReference`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DatasetObject

    public DatasetObject(org.apache.spark.sql.Dataset<org.apache.spark.sql.Row> dsvar)

#### DatasetObject

    public DatasetObject(org.apache.spark.sql.Dataset<org.apache.spark.sql.Row> dsvar,
                         boolean isVector,
                         boolean containsID)

### Method Detail

#### getDataset

    public org.apache.spark.sql.Dataset<org.apache.spark.sql.Row> getDataset()

#### isVectorBased

    public boolean isVectorBased()

#### containsID

    public boolean containsID()